################## BASIC SETTING FOR CLOUD PLATFORMS ###################
[GCE]
# GOOGLE COMPUTE ENGINE CONFIGURATION
PROJECT_ID = 
ZONE = us-central1-a
CLIENT_SECRET = config/client_secret.json
COMPUTE_SCOPE = https://www.googleapis.com/auth/compute
OAUTH_STORAGE = oauth2.dat
IMAGE_PROJECT = 
SERVICE_EMAIL = default
NETWORK = default
SCOPES = https://www.googleapis.com/auth/devstorage.full_control
API_VERSION = v1
CLUSTER_CLIENT_KEY = keys/key
ROOT_DISK=disks 

[AZURE]
# MICROSOFT WINDOWS AZURE CONFIGURATIONS
SUBSCRIPTION_ID = 
THUMBPRINT = 
STORAGE_ACCOUNT =
STORAGE_KEY	= 
CERTIFICATE_PATH = mycert.pem
PKFILE = mycert.cer
CERT_DATA_PATH = mycert.pfx
CERT_PASSWORD = eng_1989
REGION = WUS
CONTAINER=

[AWS]
# AMAZON WEB SERVICES CONFIGURATIONS
pkey= pk.pem
cert= cert.pem
accessKey= 
secretKey= 
keyPair= instance-key
securityGroup = sg-edd21888
keyPairPath= instance-key.pem
INSTANCE_TYPE = m3.medium 
MASTER_TYPE = m3.medium
REGION = USW1
ZONE = us-west-1c


######################### DEFINE CLUSTERS ##############################
[CLUSTERS]
CLUSTERS_LIST= CLUSTER1,CLUSTER2,CLUSTER3,CLUSTER4

[CLUSTER1]   ### CLUSTER 1 is hybrid cluster over multi-cloud
# CLUSTER CONFIGURATION
CLUSTER_NAME= cluster1
CLUSTER_PREFIX = cluster1 
MachineSets=MachineSet1,MachineSet2,MachineSet3
MASTER_NODE_LOCATION= MachineSet2
NFS = True
# NFS CONFIGURATION
NFS_MOUNTING_POINT=/home
NFS_DEVICE=/dev/xvdf
NFS_FSID=0
NFS_EBS_Mode=NEW_VOLUME
# attach new volume
NFS_NEW_VOLUME_SIZE=10
# in case of attach an exist volume
GLUSTER=False
GLUSTER_MOUNT_POINT = /gluster/WGA/
GLUSTER_VOLUME_NAME = gv0
GLUSTER_STRIPE		= 1
GLUSTER_REPLICATE	= 1
GLUSTER_FORMAT_DISK	= False

[MachineSet1]
NODES = 2  
PROVIDER = GCE
# IMAGE CONFIGURATION
IMAGE_ID = elastichpc-pbs4
INSTANCE_TYPE= f1-micro
# BLOCK STORAGE CONFIGURATION
GCE_SNAPSHOT = snapshot-1
GCE_SNAPSHOT_PROJECT = direct-mason-545
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp

[MachineSet2]
NODES = 1 
PROVIDER = AWS
IMAGE_ID =  ami-41fde004
INSTANCE_TYPE= m3.medium
AWS_SNAPSHOT=snap-AFD222
MOUNT_POINT=mymountpoint
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp

[MachineSet3]
NODES=0 
Provider = AZURE
IMAGE_ID = ehpc-generic12
OS_URL = http://genomekey1.blob.core.windows.net/cluster48870/ehpc-generic12-os-2014-12-25.vhd
INSTANCE_TYPE = Small
AZURE_DISK_URL = https://elastichpc.blob.core.windows.net/elastic9580/Disk1.vhd
DISK_NAME = 
DISK_ZONE = 
DISK_INSTANCE = 0
DISK_NUMBER = 1
DISK_SIZE = 10
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp

# Single Cloud Provider AWS
[CLUSTER2]
# CLUSTER CONFIGURATION
CLUSTER_NAME= cluster2
CLUSTER_PREFIX = cluster2
MachineSets=MachineSet4
MASTER_NODE_LOCATION= MachineSet4
NFS = FALSE
# NFS CONFIGURATION
NFS_MOUNTING_POINT=/home
NFS_DEVICE=/dev/xvdf
NFS_FSID=0
NFS_EBS_Mode=NEW_VOLUME
# attach new volume
NFS_NEW_VOLUME_SIZE=10
# in case of attach an exist volume
NFS_VOLUME_ID=
GLUSTER=True
GLUSTER_MOUNT_POINT = /gluster/WGA/
GLUSTER_VOLUME_NAME = gv0
GLUSTER_STRIPE		= 1
GLUSTER_REPLICATE	= 1
GLUSTER_FORMAT_DISK	= False

[MachineSet4]
NODES = 3
PROVIDER =AWS
IMAGE_ID =  ami-41fde004
INSTANCE_TYPE= m3.medium
AWS_SNAPSHOT=snap-AFD222
MOUNT_POINT=mymountpoint
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp



# Single Cloud Provider GCE
[CLUSTER3]
# CLUSTER CONFIGURATION
CLUSTER_NAME= cluster3
CLUSTER_PREFIX = cluster3 
MachineSets=MachineSet5
MASTER_NODE_LOCATION= MachineSet5
NFS = FALSE
# NFS CONFIGURATION
NFS_MOUNTING_POINT=/home
NFS_DEVICE=/home
NFS_FSID=4
NFS_EBS_Mode=
# attach new volume
NFS_NEW_VOLUME_SIZE=
# in case of attach an exist volume
NFS_VOLUME_ID=
GLUSTER=True
GLUSTER_MOUNT_POINT = /gluster/WGA/
GLUSTER_VOLUME_NAME = gv0
GLUSTER_STRIPE		= 1
GLUSTER_REPLICATE	= 1
GLUSTER_FORMAT_DISK	= False


[MachineSet5]
NODES = 2
PROVIDER = GCE
IMAGE_ID =  elastichpc-pbs4
INSTANCE_TYPE= f1-micro
GCE_SNAPSHOT = snapshot-1
GCE_SNAPSHOT_PROJECT = direct-mason-545
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp

# Single Cloud Provider AZURE
[CLUSTER4]
# CLUSTER CONFIGURATION
CLUSTER_NAME= cluster4
CLUSTER_PREFIX = cluster4 
MachineSets=MachineSet6
MASTER_NODE_LOCATION= MachineSet6
NFS = FALSE
# NFS CONFIGURATION
NFS_MOUNTING_POINT=/home
NFS_DEVICE=/home
NFS_FSID=4
NFS_EBS_Mode=
# attach new volume
NFS_NEW_VOLUME_SIZE=
# in case of attach an exist volume
NFS_VOLUME_ID=
GLUSTER=True
GLUSTER_MOUNT_POINT = /gluster/WGA/
GLUSTER_VOLUME_NAME = gv0
GLUSTER_STRIPE		= 1
GLUSTER_REPLICATE	= 1
GLUSTER_FORMAT_DISK	= False

[MachineSet6]
NODES = 2
PROVIDER = AZURE
IMAGE_ID =  ehpc-generic16
OS_URL = http://genomekey1.blob.core.windows.net/cluster43480/ehpc-generic16-os-2014-12-28.vhd
INSTANCE_TYPE = Small
AZURE_DISK_URL = https://elastichpc.blob.core.windows.net/elastic9580/Disk1.vhd
DISK_NAME = 
DISK_ZONE = 
DISK_INSTANCE = 0
DISK_NUMBER = 1
DISK_SIZE = 10
FIREWALL=ehpc,http2,apache2
FW_PORTS=5000,8080,80
FW_PROTOCOLS=tcp,tcp,tcp
